//
//  BrokerTypeExtension
//
//  Written : Priyank Patel <pkpatel@cs.stanford.edu>
//
//  Simple extension used to determine whether the user is a
//  Broker or a Client
//

package hotTip;

import java.util.*;

import iaik.x509.*;
import iaik.asn1.*;
import iaik.x509.extensions.*;

public class BrokerTypeExtension extends V3Extension {


  //Used to identify this extension in an X509Certificate Object
  public static final ObjectID oid = new ObjectID("1.2.3.4.5.1",
						  "BrokerType",
						  "BrokerType");

    BOOLEAN value;
  
  BrokerTypeExtension(BOOLEAN broker)
  {
    value = broker;
  }
  
  public ObjectID getObjectID()
  {
    return oid;
  }

  public void init(ASN1Object broker)
  {
    value = (BOOLEAN)broker;
  }

  public int hashCode()
  {
    return oid.hashCode();
  }

  //Use this function to get the value
  public ASN1Object toASN1Object()
  {
    return value;
  }
}
